package cn.com.ty.lift.ud.chat.controller.query;

import cn.com.ty.lift.ud.chat.mapper.entity.UserNicknameForAnother;
import cn.com.ty.lift.ud.common.BasePageQuery;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 别称 查询条件
 *
 * @author Xson
 * @date 2020-04-23
 */
@Data
@ApiModel(description = "别称 查询条件")
public class UserNicknameForAnotherQuery extends BasePageQuery {
    @Override
    public Wrapper condition() {
        QueryWrapper<UserNicknameForAnother> query = new QueryWrapper<>();
        return query;
    }

    @Override
    public IPage page(){
        Page<UserNicknameForAnother> page = new Page<>(getPageNum(),getPageSize());
        return page;
    }
}
